%global srcname fs


Name:      erlang-%{srcname}
Version:   4.1
Release:   8%{?dist}
BuildArch: noarch

License: ISC
Summary: Native filesystem listeners for Erlang
URL:     https://github.com/synrc/fs/
Source0: %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz
Patch0:  0000-Unbundle-https-github.com-synrc-mad.patch

BuildRequires: erlang-rebar

Requires: inotify-tools


%description
Provides native filesystem listeners across platforms. inotify is used on Linux.


%prep
%autosetup -p1 -n %{srcname}-%{version}

# We don't want the precompiled Windows executable.
rm priv/inotifywait.exe


%build
%{rebar_compile}


%check
%{rebar_eunit}


%install
%{erlang_install}


%files
%license LICENSE
%doc README.md
%{erlang_appdir}


%changelog
* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun Mar 25 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 4.1-4
- Convert into a noarch package.

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 16 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 4.1-2
- Require inotify-tools.
- Apply a patch to fix a missing dependency.

* Sat Jan 13 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 4.1-1
- Initial release (#1534188).
